"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _setters = require("../_setters");
var _utils = require("../_utils/utils");
var _locale = require("../../src/locale");
// 全局唯一的id
var _default = exports["default"] = {
  name: 'node_key_id',
  title: {
    label: (0, _locale.t)('setter.onlyId'),
    tip: (0, _locale.t)('setter.onlyTip')
  },
  setter: _setters.CStringOnlySetter,
  defaultValue: function defaultValue() {
    return (0, _utils.createOnly)();
  }
};